Bug 39273 - Update port: cad/xcircuit ${PERL} -> ${REINPLACE_CMD}
Update port: cad/xcircuit ${PERL} -> ${REINPLACE_CMD}
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-14 10:40 UTC by obraun
Modified: 2002-07-08 11:14 UTC (History)
0 users

See Also:


Attachments
file.diff (489 bytes, patch)
2002-06-14 10:40 UTC, obraun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description obraun 2002-06-14 10:40:03 UTC
Replace ${PERL} with ${REINPLACE_CMD}.

Regards,
         Olli
Comment 1 obraun 2002-06-16 11:10:36 UTC
Mega-patch for category cad.

Obsoletes PR's ports/39268, ports/39269, ports/39270, ports/39271,
ports/39272, and ports/39273.

Regards,
         Olli


Index: felt/Makefile
===================================================================
RCS file: /home/ncvs/ports/cad/felt/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- felt/Makefile	28 Apr 2002 16:31:45 -0000	1.22
+++ felt/Makefile	16 Jun 2002 10:02:41 -0000
@@ -27,7 +27,7 @@
 MAN4=		corduroy.4 felt.4
 
 post-patch:
-	@${PERL} -pi -e 's,<malloc.h>,<stdlib.h>, ; s,"malloc.h",<stdlib.h>,' \
+	@${REINPLACE_CMD} -e 's,<malloc.h>,<stdlib.h>, ; s,"malloc.h",<stdlib.h>,' \
 	${WRKSRC}/lib/Felt/parser.c ${WRKSRC}/lib/Felt/parser.c	\
 	${WRKSRC}/lib/Widgets/xwd.c ${WRKSRC}/lib/Matrix/data.c	\
 	${WRKSRC}/lib/Matrix/factor.c ${WRKSRC}/lib/Matrix/eigen.c \
Index: gnucap/Makefile
===================================================================
RCS file: /home/ncvs/ports/cad/gnucap/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- gnucap/Makefile	12 Jun 2002 15:53:39 -0000	1.3
+++ gnucap/Makefile	16 Jun 2002 10:02:41 -0000
@@ -19,7 +19,7 @@
 
 post-patch:
 .for file in src/Make2.g++ src/Make.aux modelgen/Make.aux
-	@${PERL} -pi -e 's|g\+\+|\$$\{CXX\}|g ; \
+	@${REINPLACE_CMD} -e 's|g\+\+|\$$\{CXX\}|g ; \
 		 s|-O2|\$$\{CXXFLAGS\}|g' ${WRKSRC}/${file}
 .endfor
 
Index: gtkwave/Makefile
===================================================================
RCS file: /home/ncvs/ports/cad/gtkwave/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- gtkwave/Makefile	10 Jun 2002 17:26:09 -0000	1.3
+++ gtkwave/Makefile	16 Jun 2002 10:02:41 -0000
@@ -24,7 +24,7 @@
 
 post-patch:
 	@${GREP} -lR "heapsort" ${WRKSRC}/src | ${XARGS} \
-		${PERL} -pi -e "s/heapsort/hsort/g"
+		${REINPLACE_CMD} -e "s/heapsort/hsort/g"
 
 .if !defined(NOPORTDOCS)
 post-install:
Index: qcad/Makefile
===================================================================
RCS file: /home/ncvs/ports/cad/qcad/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- qcad/Makefile	30 May 2002 18:08:37 -0000	1.15
+++ qcad/Makefile	16 Jun 2002 10:02:41 -0000
@@ -25,7 +25,7 @@
 .endif
 
 post-patch:
-	@${PERL} -pi -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/*.cpp
+	@${REINPLACE_CMD} -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/*.cpp
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/qcad ${PREFIX}/bin
Index: slffea/Makefile
===================================================================
RCS file: /home/ncvs/ports/cad/slffea/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- slffea/Makefile	9 Feb 2002 07:30:11 -0000	1.1
+++ slffea/Makefile	16 Jun 2002 10:02:41 -0000
@@ -38,7 +38,7 @@
 
 post-patch:
 	@(find ${WRKSRC} -name Makefile | xargs \
-	  ${PERL} -pi -e "s,^CC = (.*),CC = ${CC} ${CFLAGS},g ; \
+	  ${REINPLACE_CMD} -e "s,^CC = (.*),CC = ${CC} ${CFLAGS},g ; \
 	    s,-lglut,-lglut ${PTHREAD_LIBS},g")
 
 do-install:
Index: xcircuit/Makefile
===================================================================
RCS file: /home/ncvs/ports/cad/xcircuit/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- xcircuit/Makefile	22 May 2002 12:58:21 -0000	1.33
+++ xcircuit/Makefile	16 Jun 2002 10:02:41 -0000
@@ -24,7 +24,7 @@
 MAN1=		xcircuit.1
 
 post-patch:
-	@find ${WRKSRC} -name '*.[ch]' | xargs ${PERL} -pi -e \
+	@find ${WRKSRC} -name '*.[ch]' | xargs ${REINPLACE_CMD} -e \
 		's|<malloc.h>|<stdlib.h>|g'
 
 post-install:
Comment 2 obraun 2002-06-20 00:01:58 UTC
add USE_REINPLACE= yes, add -E to ${REINPLACE_CMD} cad/slffea, removed 3
duplicates from list of patched files in cad/felt.

Regards,
         Olli


Index: felt/Makefile
===================================================================
RCS file: /home/ncvs/ports/cad/felt/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- felt/Makefile	2002/04/28 16:31:45	1.22
+++ felt/Makefile	2002/06/19 22:59:38
@@ -21,21 +21,22 @@
 WRKSRC=		${WRKDIR}/FElt-${PORTVERSION}
 GNU_CONFIGURE=	yes
 USE_X_PREFIX=	yes
+USE_REINPLACE=	yes
 
 MAN1=		burlap.1 corduroy.1 felt.1 patchwork.1 velvet.1 yardstick.1
 MAN3=		Drawing.3
 MAN4=		corduroy.4 felt.4
 
 post-patch:
-	@${PERL} -pi -e 's,<malloc.h>,<stdlib.h>, ; s,"malloc.h",<stdlib.h>,' \
-	${WRKSRC}/lib/Felt/parser.c ${WRKSRC}/lib/Felt/parser.c	\
+	@${REINPLACE_CMD} -e 's,<malloc.h>,<stdlib.h>, ; s,"malloc.h",<stdlib.h>,' \
+	${WRKSRC}/lib/Felt/parser.c \
 	${WRKSRC}/lib/Widgets/xwd.c ${WRKSRC}/lib/Matrix/data.c	\
 	${WRKSRC}/lib/Matrix/factor.c ${WRKSRC}/lib/Matrix/eigen.c \
 	${WRKSRC}/lib/Matrix/c_data.c ${WRKSRC}/lib/Matrix/c_factor.c \
 	${WRKSRC}/include/allocate.h ${WRKSRC}/src/Velvet/error.c \
 	${WRKSRC}/src/Burlap/allocate.h ${WRKSRC}/src/Burlap/interactive.c \
-	${WRKSRC}/src/Burlap/parser.c ${WRKSRC}/src/Burlap/parser.c \
-	${WRKSRC}/src/Corduroy/parser.c ${WRKSRC}/src/Corduroy/parser.c	\
+	${WRKSRC}/src/Burlap/parser.c \
+	${WRKSRC}/src/Corduroy/parser.c	\
 	${WRKSRC}/src/Patchwork/util.c
 
 post-install:
Index: gnucap/Makefile
===================================================================
RCS file: /home/ncvs/ports/cad/gnucap/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- gnucap/Makefile	2002/06/12 15:53:39	1.3
+++ gnucap/Makefile	2002/06/19 22:59:38
@@ -16,10 +16,11 @@
 
 USE_GMAKE=	yes
 MAKE_ENV=	CXX="${CXX}" CXXFLAGS="${CXXFLAGS}"
+USE_REINPLACE=	yes
 
 post-patch:
 .for file in src/Make2.g++ src/Make.aux modelgen/Make.aux
-	@${PERL} -pi -e 's|g\+\+|\$$\{CXX\}|g ; \
+	@${REINPLACE_CMD} -e 's|g\+\+|\$$\{CXX\}|g ; \
 		 s|-O2|\$$\{CXXFLAGS\}|g' ${WRKSRC}/${file}
 .endfor
 
Index: gtkwave/Makefile
===================================================================
RCS file: /home/ncvs/ports/cad/gtkwave/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- gtkwave/Makefile	2002/06/10 17:26:09	1.3
+++ gtkwave/Makefile	2002/06/19 22:59:38
@@ -20,11 +20,12 @@
 .endif
 
 USE_GTK=	yes
+USE_REINPLACE=	yes
 GNU_CONFIGURE=	yes
 
 post-patch:
 	@${GREP} -lR "heapsort" ${WRKSRC}/src | ${XARGS} \
-		${PERL} -pi -e "s/heapsort/hsort/g"
+		${REINPLACE_CMD} -e "s/heapsort/hsort/g"
 
 .if !defined(NOPORTDOCS)
 post-install:
Index: qcad/Makefile
===================================================================
RCS file: /home/ncvs/ports/cad/qcad/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- qcad/Makefile	2002/05/30 18:08:37	1.15
+++ qcad/Makefile	2002/06/19 22:59:39
@@ -15,6 +15,7 @@
 MAINTAINER=	ports@FreeBSD.org
 
 USE_QT_VER=	2
+USE_REINPLACE=	yes
 MAKE_ENV=	MOC="${MOC}" LIBQT="-l${QTNAME}" \
 		QTCPPFLAGS="${QTCPPFLAGS}" QTCFGLIBS="${QTCFGLIBS}"
 
@@ -25,7 +26,7 @@
 .endif
 
 post-patch:
-	@${PERL} -pi -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/*.cpp
+	@${REINPLACE_CMD} -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/*.cpp
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/qcad ${PREFIX}/bin
Index: slffea/Makefile
===================================================================
RCS file: /home/ncvs/ports/cad/slffea/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- slffea/Makefile	2002/02/09 07:30:11	1.1
+++ slffea/Makefile	2002/06/19 22:59:39
@@ -16,6 +16,7 @@
 
 MAINTAINER=	ports@FreeBSD.org
 
+USE_REINPLACE=	yes
 USE_MESA=	yes
 CFLAGS+=	-I${X11BASE}/include ${PTHREAD_CFLAGS}
 WRKSRC=		${WRKDIR}/${PORTNAME}-1.3
@@ -38,7 +39,7 @@
 
 post-patch:
 	@(find ${WRKSRC} -name Makefile | xargs \
-	  ${PERL} -pi -e "s,^CC = (.*),CC = ${CC} ${CFLAGS},g ; \
+	  ${REINPLACE_CMD} -E -e "s,^CC = (.*),CC = ${CC} ${CFLAGS},g ; \
 	    s,-lglut,-lglut ${PTHREAD_LIBS},g")
 
 do-install:
Index: xcircuit/Makefile
===================================================================
RCS file: /home/ncvs/ports/cad/xcircuit/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- xcircuit/Makefile	2002/05/22 12:58:21	1.33
+++ xcircuit/Makefile	2002/06/19 22:59:40
@@ -19,12 +19,13 @@
 USE_BZIP2=	yes
 USE_XPM=	yes
 USE_IMAKE=	yes
+USE_REINPLACE=	yes
 XMKMF=		xmkmf
 
 MAN1=		xcircuit.1
 
 post-patch:
-	@find ${WRKSRC} -name '*.[ch]' | xargs ${PERL} -pi -e \
+	@find ${WRKSRC} -name '*.[ch]' | xargs ${REINPLACE_CMD} -e \
 		's|<malloc.h>|<stdlib.h>|g'
 
 post-install:
Comment 3 ijliao freebsd_committer 2002-07-08 11:14:39 UTC
State Changed
From-To: open->closed

committed, thanks